net.sf.jasperreports.engine

## Class TabStop

- java.lang.Object
- - net.sf.jasperreports.engine.TabStop

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Deduplicable, JRCloneable

      public class TabStop
      extends java.lang.Object
      implements JRCloneable, java.io.Serializable, Deduplicable

  Version:
    $Id: TabStop.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabStop()`
    `TabStop(int position, TabStopAlignEnum alignment)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `TabStopAlignEnum` | `getAlignment()` Gets the tab stop alignment.
    `int` | `getHashCode()` Returns a hash code to be used for the deduplicate map.
    `int` | `getPosition()` Gets the tab stop position.
    `boolean` | `isIdentical(java.lang.Object object)` Determines if this instance is identical to another object.
    `void` | `setAlignment(TabStopAlignEnum alignment)` Sets the tab stop alignment.
    `void` | `setPosition(int position)` Sets the tab stop position.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TabStop

          public TabStop()

    - #### TabStop

          public TabStop(int position,
                 TabStopAlignEnum alignment)

  - ### Method Detail

    - #### getAlignment

          public TabStopAlignEnum getAlignment()

      Gets the tab stop alignment.

    - #### setAlignment

          public void setAlignment(TabStopAlignEnum alignment)

      Sets the tab stop alignment.

    - #### getPosition

          public int getPosition()

      Gets the tab stop position.

    - #### setPosition

          public void setPosition(int position)

      Sets the tab stop position.

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getHashCode

          public int getHashCode()

      Description copied from interface: `Deduplicable`
      Returns a hash code to be used for the deduplicate map. The returned hash code should be consitent wiwh `Deduplicable.isIdentical(Object)`, i.e. if two objects are identical they should have the same hash code.
      Specified by:
        `getHashCode` in interface `Deduplicable`
      Returns:
        deduplication hash code

    - #### isIdentical

          public boolean isIdentical(java.lang.Object object)

      Description copied from interface: `Deduplicable`
      Determines if this instance is identical to another object.
      Specified by:
        `isIdentical` in interface `Deduplicable`
      Parameters:
        `object` - the object to compare with this instance
      Returns:
        `true` if the two objects are identical and can be deduplicated

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com